```bash
Locale
i18n 项目示例
```

`kit-ui` 目前的默认文案是中文，如果需要使用英文或其他语言，可以参考下面的方案。

## Local

`kit-ui` 提供了一个 Vue 组件 Locale 用于全局配置国际化文案。

```js
import enUS from 'kit-ui/lib/locale/en_US';

return (
  <Locale locale={enUS}>
    <App />
  </Locale>
);
```

注意：`en_US` 是文件名，以下表格也遵循同样的规则。

目前支持以下语言：

|语言|文件名|
|---|---|
|保加利亚语|bg_BG|
|加泰罗尼亚语|ca_ES|
|繁体中文|zh_TW|
|捷克语|cs_CZ|
|比利时荷兰语|nl_BE|
|荷兰语|nl_NL|
|英语|en_GB|
|美式英语|en_US|
|爱沙尼亚语|et_EE|
|芬兰语|fi_FI|
|比利时法语|fr_BE|
|法语|fr_FR|
|德语|de_DE|
|意大利语|it_IT|
|日语|ja_JP|
|韩语/朝鲜语|ko_KR|
|波兰语|pl_PL|
|葡萄牙语|pt_BR|
|俄罗斯语|ru_RU|
|斯洛伐克语|sk_SK|
|西班牙语|es_ES|
|瑞典语|sv_SE|
|土耳其语|tr_TR|
|越南语|vi_VN|
|泰国语言|th_TH|

具体的使用方法和新语言包贡献方式请参考 [Locale 文档](#/component/locale)。

## i18n 项目示例

我们还提供了一个使用了 react-intl 和 Locale 的完整的国际化项目示例：jskit/kit-i18n，欢迎参考使用。
